package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrPumpOverhaul;

/**
 * 机泵检修完成确认清单Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrPumpOverhaulMapper
{
    /**
     * 查询机泵检修完成确认清单
     *
     * @param id 机泵检修完成确认清单ID
     * @return 机泵检修完成确认清单
     */
    public TPssrPumpOverhaul selectTPssrPumpOverhaulById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询机泵检修完成确认清单列表
     *
     * @param tPssrPumpOverhaul 机泵检修完成确认清单
     * @return 机泵检修完成确认清单集合
     */
    
    public List<TPssrPumpOverhaul> selectTPssrPumpOverhaulList(TPssrPumpOverhaul tPssrPumpOverhaul);

    /**
     * 新增机泵检修完成确认清单
     *
     * @param tPssrPumpOverhaul 机泵检修完成确认清单
     * @return 结果
     */
    public int insertTPssrPumpOverhaul(TPssrPumpOverhaul tPssrPumpOverhaul);

    /**
     * 修改机泵检修完成确认清单
     *
     * @param tPssrPumpOverhaul 机泵检修完成确认清单
     * @return 结果
     */
    public int updateTPssrPumpOverhaul(TPssrPumpOverhaul tPssrPumpOverhaul);
    public int updateTPssrPumpOverhaulByIds(TPssrPumpOverhaul tPssrPumpOverhaul);


    public int updateAllBySubId(TPssrPumpOverhaul tPssrPumpOverhaul);

    /**
     * 删除机泵检修完成确认清单
     *
     * @param id 机泵检修完成确认清单ID
     * @return 结果
     */
    public int deleteTPssrPumpOverhaulById(Long id);

    /**
     * 批量删除机泵检修完成确认清单
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrPumpOverhaulByIds(Long[] ids);
}
